import { EditorView } from "./editorview";
import { ViewUpdate } from "./extension";
import { Decoration, DecorationSet } from "./decoration";
export declare class MatchDecorator {
    private regexp;
    private addMatch;
    private boundary;
    private maxLength;
    constructor(config: {
        regexp: RegExp;
        decoration?: Decoration | ((match: RegExpExecArray, view: EditorView, pos: number) => Decoration | null);
        decorate?: (add: (from: number, to: number, decoration: Decoration) => void, from: number, to: number, match: RegExpExecArray, view: EditorView) => void;
        boundary?: RegExp;
        maxLength?: number;
    });
    createDeco(view: EditorView): import("@codemirror/state").RangeSet<Decoration>;
    updateDeco(update: ViewUpdate, deco: DecorationSet): DecorationSet;
    private updateRange;
}
