import { EditorView } from "./editorview";
import { Command } from "./extension";
import { Facet } from "@codemirror/state";
export interface KeyBinding {
    key?: string;
    mac?: string;
    win?: string;
    linux?: string;
    run?: Command;
    shift?: Command;
    any?: (view: EditorView, event: KeyboardEvent) => boolean;
    scope?: string;
    preventDefault?: boolean;
    stopPropagation?: boolean;
}
export declare const keymap: Facet<readonly KeyBinding[], readonly (readonly KeyBinding[])[]>;
export declare function runScopeHandlers(view: EditorView, event: KeyboardEvent, scope: string): boolean;
